> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get balance

> Get balance on a user's bank account (as recorded in their General Ledger)



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/accounting/balance
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/accounting/balance:
    get:
      tags:
        - Accounting
      summary: Get balance
      description: >-
        Get balance on a user's bank account (as recorded in their General
        Ledger)
      operationId: getAccountBalance
      parameters:
        - name: glAccountId
          in: query
          description: The id of the general ledger account.
          schema:
            type: integer
            format: int64
        - name: bankAccountId
          in: query
          description: The id of the bank account.
          schema:
            type: integer
            format: int64
        - name: apiAccountId
          in: query
          description: The id of the bank account (from your DB).
          schema:
            type: string
        - name: date
          in: query
          description: First day to exclude in balance.
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BalanceV5RetVal'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    BalanceV5RetVal:
      type: object
      properties:
        glAccountId:
          type: integer
          description: >-
            Id of the general ledger account (from Tight's API) for which we are
            setting the beginning balance.
          format: int64
          example: 52320
        bankAccountId:
          type: integer
          description: >-
            Id of the Plaid item account (from Tight's API) for which we are
            setting the beginning balance.
          format: int64
          example: 52320
        apiAccountId:
          type: string
          description: >-
            Id of the bank account (from your DB) for which we are setting the
            beginning balance.
          example: '459043850'
        hasPriorTransactions:
          type: boolean
          description: >-
            Whether the user's bank account has reconciled transactions prior to
            the date specified in the date field
          example: false
        date:
          type: string
          description: >-
            The date on which to apply this beginning balance; generally the day
            before the user started tracking their accounting in your system
          format: date
          example: '2020-12-31'
        balance:
          type: number
          description: The balance of this account on the date specified in the date field
          example: 234.56
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````